# QChildEvent Class Reference

### [com.trolltech.qt.core package]

Inherits QEvent.

### Constructor

- void QChildEvent(Type type, QObject child)

### Constructor Properties

- prototype: The QChildEvent prototype object

### Prototype Object Properties

The QChildEvent prototype object inherits properties from the QEvent prototype object and also has the following properties.

- bool added()
- QObject child()
- bool polished()
- bool removed()

### Instance Properties

QChildEvent objects have no special properties beyond those inherited from the QChildEvent prototype object.